| Fast DDS Version 3.3.0 Fast DDS

Loading...
Searching...
No Matches
DDS Module Reference

## Modules

module | XTypes

## Typedefs

typedef long | ReturnCode_t
typedef sequence< string > | IncludePathSeq
typedef string< 256 > | ObjectName
typedef sequence< unsigned long > | BoundSeq
typedef octet | TypeKind
typedef map< ObjectName, ObjectName > | Parameters
typedef unsigned long | MemberId
typedef sequence< long > | UnionCaseLabelSeq
typedef sequence< long > | Int32Seq
typedef sequence< unsigned long > | UInt32Seq
typedef sequence< int8 > | Int8Seq
typedef sequence< uint8 > | UInt8Seq
typedef sequence< short > | Int16Seq
typedef sequence< unsigned short > | UInt16Seq
typedef sequence< long long > | Int64Seq
typedef sequence< unsigned long long > | UInt64Seq
typedef sequence< float > | Float32Seq
typedef sequence< double > | Float64Seq
typedef sequence< long double > | Float128Seq
typedef sequence< char > | CharSeq
typedef sequence< wchar > | WcharSeq
typedef sequence< boolean > | BooleanSeq
typedef sequence< octet > | ByteSeq
typedef sequence< string > | StringSeq
typedef sequence< wstring > | WstringSeq

## Enumerations

enum | ExtensibilityKind { FINAL , APPENDABLE , MUTABLE }
enum | TryConstructKind { USE_DEFAULT , DISCARD , TRIM }

## Variables

const ReturnCode_t | RETCODE_OK = 0
const ReturnCode_t | RETCODE_ERROR = 1
const ReturnCode_t | RETCODE_UNSUPPORTED = 2
const ReturnCode_t | RETCODE_BAD_PARAMETER = 3
const ReturnCode_t | RETCODE_PRECONDITION_NOT_MET = 4
const ReturnCode_t | RETCODE_OUT_OF_RESOURCES = 5
const ReturnCode_t | RETCODE_NOT_ENABLED = 6
const ReturnCode_t | RETCODE_IMMUTABLE_POLICY = 7
const ReturnCode_t | RETCODE_INCONSISTENT_POLICY = 8
const ReturnCode_t | RETCODE_ALREADY_DELETED = 9
const ReturnCode_t | RETCODE_TIMEOUT = 10
const ReturnCode_t | RETCODE_NO_DATA = 11
const ReturnCode_t | RETCODE_ILLEGAL_OPERATION = 12
const ReturnCode_t | RETCODE_NOT_ALLOWED_BY_SECURITY = 1000
const TypeKind | TK_NONE = 0x00
const TypeKind | TK_BOOLEAN = 0x01
const TypeKind | TK_BYTE = 0x02
const TypeKind | TK_INT16 = 0x03
const TypeKind | TK_INT32 = 0x04
const TypeKind | TK_INT64 = 0x05
const TypeKind | TK_UINT16 = 0x06
const TypeKind | TK_UINT32 = 0x07
const TypeKind | TK_UINT64 = 0x08
const TypeKind | TK_FLOAT32 = 0x09
const TypeKind | TK_FLOAT64 = 0x0A
const TypeKind | TK_FLOAT128 = 0x0B
const TypeKind | TK_INT8 = 0x0C
const TypeKind | TK_UINT8 = 0x0D
const TypeKind | TK_CHAR8 = 0x10
const TypeKind | TK_CHAR16 = 0x11
const TypeKind | TK_STRING8 = 0x20
const TypeKind | TK_STRING16 = 0x21
const TypeKind | TK_ALIAS = 0x30
const TypeKind | TK_ENUM = 0x40
const TypeKind | TK_BITMASK = 0x41
const TypeKind | TK_ANNOTATION = 0x50
const TypeKind | TK_STRUCTURE = 0x51
const TypeKind | TK_UNION = 0x52
const TypeKind | TK_BITSET = 0x53
const TypeKind | TK_SEQUENCE = 0x60
const TypeKind | TK_ARRAY = 0x61
const TypeKind | TK_MAP = 0x62

## Typedef Documentation

## ◆ BooleanSeq

typedef sequence<boolean> BooleanSeq

## ◆ BoundSeq

typedef sequence<unsigned long> BoundSeq

## ◆ ByteSeq

typedef sequence<octet> ByteSeq

## ◆ CharSeq

typedef sequence<char> CharSeq

## ◆ Float128Seq

typedef sequence<long double> Float128Seq

## ◆ Float32Seq

typedef sequence<float> Float32Seq

## ◆ Float64Seq

typedef sequence<double> Float64Seq

## ◆ IncludePathSeq

typedef sequence<string> IncludePathSeq

## ◆ Int16Seq

typedef sequence<short> Int16Seq

## ◆ Int32Seq

typedef sequence<long> Int32Seq

## ◆ Int64Seq

typedef sequence<long long> Int64Seq

## ◆ Int8Seq

typedef sequence<int8> Int8Seq

## ◆ MemberId

typedef unsigned long MemberId

## ◆ ObjectName

typedef string<256> ObjectName

## ◆ Parameters

typedef map<ObjectName, ObjectName> Parameters

## ◆ ReturnCode_t

typedef long ReturnCode_t

## ◆ StringSeq

typedef sequence<string> StringSeq

## ◆ TypeKind

typedef octet TypeKind

## ◆ UInt16Seq

typedef sequence<unsigned short> UInt16Seq

## ◆ UInt32Seq

typedef sequence<unsigned long> UInt32Seq

## ◆ UInt64Seq

typedef sequence<unsigned long long> UInt64Seq

## ◆ UInt8Seq

typedef sequence<uint8> UInt8Seq

## ◆ UnionCaseLabelSeq

typedef sequence<long> UnionCaseLabelSeq

## ◆ WcharSeq

typedef sequence<wchar> WcharSeq

## ◆ WstringSeq

typedef sequence<wstring> WstringSeq

## Enumeration Type Documentation

## ◆ ExtensibilityKind

enum ExtensibilityKind

Enumerator
FINAL |
APPENDABLE |
MUTABLE |

## ◆ TryConstructKind

enum TryConstructKind

Enumerator
USE_DEFAULT |
DISCARD |
TRIM |

## Variable Documentation

## ◆ RETCODE_ALREADY_DELETED

const ReturnCode_t RETCODE_ALREADY_DELETED = 9

## ◆ RETCODE_BAD_PARAMETER

const ReturnCode_t RETCODE_BAD_PARAMETER = 3

## ◆ RETCODE_ERROR

const ReturnCode_t RETCODE_ERROR = 1

## ◆ RETCODE_ILLEGAL_OPERATION

const ReturnCode_t RETCODE_ILLEGAL_OPERATION = 12

## ◆ RETCODE_IMMUTABLE_POLICY

const ReturnCode_t RETCODE_IMMUTABLE_POLICY = 7

## ◆ RETCODE_INCONSISTENT_POLICY

const ReturnCode_t RETCODE_INCONSISTENT_POLICY = 8

## ◆ RETCODE_NO_DATA

const ReturnCode_t RETCODE_NO_DATA = 11

## ◆ RETCODE_NOT_ALLOWED_BY_SECURITY

const ReturnCode_t RETCODE_NOT_ALLOWED_BY_SECURITY = 1000

## ◆ RETCODE_NOT_ENABLED

const ReturnCode_t RETCODE_NOT_ENABLED = 6

## ◆ RETCODE_OK

const ReturnCode_t RETCODE_OK = 0

## ◆ RETCODE_OUT_OF_RESOURCES

const ReturnCode_t RETCODE_OUT_OF_RESOURCES = 5

## ◆ RETCODE_PRECONDITION_NOT_MET

const ReturnCode_t RETCODE_PRECONDITION_NOT_MET = 4

## ◆ RETCODE_TIMEOUT

const ReturnCode_t RETCODE_TIMEOUT = 10

## ◆ RETCODE_UNSUPPORTED

const ReturnCode_t RETCODE_UNSUPPORTED = 2

## ◆ TK_ALIAS

const TypeKind TK_ALIAS = 0x30

## ◆ TK_ANNOTATION

const TypeKind TK_ANNOTATION = 0x50

## ◆ TK_ARRAY

const TypeKind TK_ARRAY = 0x61

## ◆ TK_BITMASK

const TypeKind TK_BITMASK = 0x41

## ◆ TK_BITSET

const TypeKind TK_BITSET = 0x53

## ◆ TK_BOOLEAN

const TypeKind TK_BOOLEAN = 0x01

## ◆ TK_BYTE

const TypeKind TK_BYTE = 0x02

## ◆ TK_CHAR16

const TypeKind TK_CHAR16 = 0x11

## ◆ TK_CHAR8

const TypeKind TK_CHAR8 = 0x10

## ◆ TK_ENUM

const TypeKind TK_ENUM = 0x40

## ◆ TK_FLOAT128

const TypeKind TK_FLOAT128 = 0x0B

## ◆ TK_FLOAT32

const TypeKind TK_FLOAT32 = 0x09

## ◆ TK_FLOAT64

const TypeKind TK_FLOAT64 = 0x0A

## ◆ TK_INT16

const TypeKind TK_INT16 = 0x03

## ◆ TK_INT32

const TypeKind TK_INT32 = 0x04

## ◆ TK_INT64

const TypeKind TK_INT64 = 0x05

## ◆ TK_INT8

const TypeKind TK_INT8 = 0x0C

## ◆ TK_MAP

const TypeKind TK_MAP = 0x62

## ◆ TK_NONE

const TypeKind TK_NONE = 0x00

## ◆ TK_SEQUENCE

const TypeKind TK_SEQUENCE = 0x60

## ◆ TK_STRING16

const TypeKind TK_STRING16 = 0x21

## ◆ TK_STRING8

const TypeKind TK_STRING8 = 0x20

## ◆ TK_STRUCTURE

const TypeKind TK_STRUCTURE = 0x51

## ◆ TK_UINT16

const TypeKind TK_UINT16 = 0x06

## ◆ TK_UINT32

const TypeKind TK_UINT32 = 0x07

## ◆ TK_UINT64

const TypeKind TK_UINT64 = 0x08

## ◆ TK_UINT8

const TypeKind TK_UINT8 = 0x0D

## ◆ TK_UNION

const TypeKind TK_UNION = 0x52